/*!
 	@file 
 	@brief	Run Length Encording による圧縮・展開アルゴリズムルーチン
 */


#ifndef CCompressRLE_h
#define CCompressRLE_h



#include"CCompress.h"
namespace Maid
{
	class CCompressRLE : public ICompress
	{
	public:
		virtual unt Encode( const void* pSrc, unt SrcLenght, void* pDst, unt DstLength ) const;
		virtual unt Decode( const void* pSrc, unt SrcLenght, void* pDst, unt DstLength ) const;
	};
}
#endif
